org.eclipse.ecf.provider.zookeeper.core

## Class DefaultDiscoveryConfig

- java.lang.Object
- - org.eclipse.ecf.provider.zookeeper.core.DefaultDiscoveryConfig

All Implemented Interfaces:
  IDiscoveryConfig

    public class DefaultDiscoveryConfig
    extends Object
    implements IDiscoveryConfig

Default implementation of `IDiscoveryConfig`. Since this is zookeeper related code, check the net for the zookeeper administration guide

### Field Summary

Fields
`static String` `CLIENT_PORT_DEFAULT` The client port default.
`static String` `DATADIR_DEFAULT` Directory will be created at runtime.
`static String` `DATALOGDIR_DEFAULT` Will be generated at runtime.
`static String` `DEFAULT_FLAVOR` This is the default flavor when no flavor has been passed
`protected static Map<String,Object>` `defaultConfigProperties`
`static String` `ELECTION_PORT_DEFAULT` The election port default.
`static String` `INITLIMIT_DEFAULT` The server init limit default.
`static String` `SERVER_PORT_DEFAULT` The server port default.
`static String` `SYNCLIMIT_DEFAULT` The sync limit default.
`static String` `TEMPDIR_DEFAULT` The location of the zookeeper work directory.
`static String` `TICKTIME_DEFAULT` The tick time default.
`static String` `ZOODISCOVERY_PREFIX`

### Fields inherited from interface org.eclipse.ecf.provider.zookeeper.core.IDiscoveryConfig

`ZOODISCOVERY_CONSOLELOG, ZOODISCOVERY_FLAVOR_CENTRALIZED, ZOODISCOVERY_FLAVOR_REPLICATED, ZOODISCOVERY_FLAVOR_STANDALONE, ZOOKEEPER_AUTOSTART, ZOOKEEPER_CLIENTPORT, ZOOKEEPER_DATADIR, ZOOKEEPER_DATALOGDIR, ZOOKEEPER_ELECTION_PORT, ZOOKEEPER_INITLIMIT, ZOOKEEPER_SERVER_PORT, ZOOKEEPER_SYNCLIMIT, ZOOKEEPER_TEMPDIR, ZOOKEEPER_TICKTIME`

### Constructor Summary

Constructors
Constructor and Description
`DefaultDiscoveryConfig()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Map<String,Object>` `getConfigProperties()`
`static boolean` `getConsoleLog()`
`static String` `getDefaultTarget()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### defaultConfigProperties

    protected static Map<String,Object> defaultConfigProperties

#### DEFAULT_FLAVOR

    public static final String DEFAULT_FLAVOR

This is the default flavor when no flavor has been passed

Since:
  1.0.0

#### TEMPDIR_DEFAULT

    public static final String TEMPDIR_DEFAULT

The location of the zookeeper work directory. By default it will be the value of the `java.io.tmpdir` property. Can be controlled by either providing `-Dzoodiscovery.tempDir=/qualified/path/` where `/qualified/path/` is the absolute path name you want to define or by appending the string to the instantiation of the container id: instantiation of the container id.

Since:
  1.0.0

#### DATADIR_DEFAULT

    public static final String DATADIR_DEFAULT

Directory will be created at runtime. The folder will be named "zookeeperData". Can be controlled by either providing `-Dzoodiscovery.dataDir=string` where `string` is the single directory name you want to define or by appending the string to the instantiation of the container id: instantiation of the container id.

Since:
  1.0.0
See Also:
  Constant Field Values

#### DATALOGDIR_DEFAULT

    public static final String DATALOGDIR_DEFAULT

Will be generated at runtime. The folder will be named "zookeeperData"

Since:
  1.0.0
See Also:
  Constant Field Values

#### SERVER_PORT_DEFAULT

    public static final String SERVER_PORT_DEFAULT

The server port default. Can be controlled by either providing `-Dzoodiscovery.serverPort=nnnn` where `nnnn` is the port you want to define as the server port or by appending the string to the instantiation of the container id: zoodiscovery documentation.

Since:
  1.0.0
See Also:
  Constant Field Values

#### ELECTION_PORT_DEFAULT

    public static final String ELECTION_PORT_DEFAULT

The election port default. Can be controlled by either providing `-Dzoodiscovery.electionPort=nnnn` where `nnnn` is the port you want to define as the election port or by appending the string to the instantiation of the instantiation of the container id.

Since:
  1.0.0
See Also:
  Constant Field Values

#### CLIENT_PORT_DEFAULT

    public static final String CLIENT_PORT_DEFAULT

The client port default. Can be controlled by either providing `-Dzoodiscovery.clientPort=nnnn` where `nnnn` is the port you want to define as the client port or by appending the string to the instantiation of the instantiation of the container id.

Since:
  1.0.0
See Also:
  Constant Field Values

#### TICKTIME_DEFAULT

    public static final String TICKTIME_DEFAULT

The tick time default. the length of a single tick, which is the basic time unit used by ZooKeeper, as measured in milliseconds. It is used to regulate heartbeats, and timeouts. For example, the minimum session timeout will be two ticks.

Can be controlled by either providing `-Dzoodiscovery.tickTime=nnnn` where `nnnn` is the tick time or by appending the string to the instantiation of the container id.

Since:
  1.0.0
See Also:
  Constant Field Values

#### INITLIMIT_DEFAULT

    public static final String INITLIMIT_DEFAULT

The server init limit default. Can be controlled by either providing `-Dzoodiscovery.initLimit=nnnn` where `nnnn` is the init limit or by appending the string to the instantiation of the container id.

Since:
  1.0.0
See Also:
  Constant Field Values

#### SYNCLIMIT_DEFAULT

    public static final String SYNCLIMIT_DEFAULT

The sync limit default. Can be controlled by either providing `-Dzoodiscovery.syncLimit=nnnn` where `nnnn` is the sync limit you want to define or by appending the string to the instantiation of the container id: instantiation of the container id.

Since:
  1.0.0
See Also:
  Constant Field Values

#### ZOODISCOVERY_PREFIX

    public static final String ZOODISCOVERY_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultDiscoveryConfig

    public DefaultDiscoveryConfig()

### Method Detail

#### getConfigProperties

    public Map<String,Object> getConfigProperties()

Specified by:
  `getConfigProperties` in interface `IDiscoveryConfig`
Returns:
  Map of properties used for configuration. All properties understood by Apache ZooKeeper (v3.1.1) might be included as well.
See Also:
  ZooKeeper Administrator's Guide

#### getDefaultTarget

    public static String getDefaultTarget()

#### getConsoleLog

    public static boolean getConsoleLog()

Returns:
  true if consoleLogging was specified.